import request from "@/utils/request";

// 查询列表
export function getList(query) {
  return request({
    url: "/card/coupons/list",
    method: "get",
    params: query,
  });
}

// 查询详情  /card/coupons/{id}
export function getDetail(id) {
  return request({
    url: `/card/coupons/${id}`,
    method: "get",
  });
}

// 新增  /card/coupons
export function add(data) {
  return request({
    url: "/card/coupons",
    method: "post",
    data,
  });
}

// 修改
export function update(data) {
  return request({
    url: "/card/coupons",
    method: "put",
    data,
  });
}

// 删除
export function del(ids) {
  return request({
    url: `/card/coupons/${ids}`,
    method: "delete",
  });
}
